English Amiga Board


Go Back   English Amiga Board > Main > Retrogaming General Discussion

 
 
Thread Tools
Old 13 January 2002, 01:50   #1
Kitty-chan
 
Posts: n/a
Updating my Amiga's KICK rom?

I know you can extract them, so I wonder if you can update them. I have two Amiga 500+'s (one cost me Ģ2, hah, stupid old woman!), and I'd like to update their KICK roms to 3.1 if that's possible. Can it be done? Thanks! .

Also, is it possible to update workbench? Cheers!

//admin: please don't use direct signature in your post, configure your UserCP instead.
 
AdSense AdSense  
Old 13 January 2002, 01:56   #2
oldpx
 
Posts: n/a
Amiga's kickstarts are not EPROMs therefore cannot be updated but can be replaced. Workbenches require specific versions of kickstarts to run so if you update from 2.0 to 3.1, you can run 3.1 . I don't know if anything will fail to work because you don't have the AGA chipset though
 
Old 13 January 2002, 02:01   #3
Ian
HIGH FIVE!!

Ian's Avatar
 
Join Date: May 2001
Location: Derby
Age: 39
Posts: 1,898
You can get 3.1 roms to work with the ECS chipset and more importantly a 68000 cpu because it was fitted in some of the later A600, it's just finding them that might be a problem.

It would probably be cheaper to just buy an A1200 or A600 with kickstart 3.1 anyway
Ian is offline  
Old 04 February 2002, 21:40   #4
hal
where am i ?
hal's Avatar
 
Join Date: Jan 2002
Location: akureyri iceland
Age: 35
Posts: 185
so all you have to do is replace the kick chips ?

once i put a kick 1.3 instead of 1.2 in my a500 stopped to show video andthe disk drive silenced (should i say flatlined)
but when i put the original back it came to life (god i was relieved)
actually what i put instead was a switcher with kick 2 and 1.3
those were my reckless hardware butchering days so i did many not so wise things. thanks to ebay i still have an amiga (lost two due to my own stupidity)
itīs possiple that the chips were defective but i suspect it to be just incompatibility ayone know if this is the case know how to find info on what should go where ?
hal is offline  
Old 04 February 2002, 22:06   #5
jmmijo
Junior Member
jmmijo's Avatar
 
Join Date: Jan 2002
Location: PDX
Age: 55
Posts: 2,355
Re: so all you have to do is replace the kick chips ?

Quote:
Originally posted by hal
once i put a kick 1.3 instead of 1.2 in my a500 stopped to show video andthe disk drive silenced (should i say flatlined)
but when i put the original back it came to life (god i was relieved)
actually what i put instead was a switcher with kick 2 and 1.3
those were my reckless hardware butchering days so i did many not so wise things. thanks to ebay i still have an amiga (lost two due to my own stupidity)
itīs possiple that the chips were defective but i suspect it to be just incompatibility ayone know if this is the case know how to find info on what should go where ?
Actually the cost of Kickstart rom's is not that much, a company in the states named Software Hut has them for sale along with the OS3.9 CD. Of course this requires that you have either WB 3.0 or WB 3.1 already installed on the computer as this also requires a HD to install to. But if you are just after the rom's then that will work as well. Check out their web site for more info.

http://www.softhut.com/cgi-bin/test/.../web_store.cgi
jmmijo is offline  
AdSense AdSense  
 


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Similar Threads
Thread Thread Starter Forum Replies Last Post
AmigaOS 3.9 BB ROM Update Error & Ram-Handler Not Updating 44.24 crazyegg support.Apps 23 10 November 2010 22:03
WTB: Amiga 500 floppy drive, Kick 2.04 and Rom Selector xenepp MarketPlace 0 14 April 2007 20:42
kick.rom & rom.key Mazik New to Emulation or Amiga scene 4 27 March 2004 14:58
Kick.rom IanMac support.WinUAE 4 12 July 2003 03:31

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +2. The time now is 08:06.


Powered by vBulletin® Version 3.8.8 Beta 1
Copyright ©2000 - 2017, vBulletin Solutions, Inc.
Page generated in 0.13235 seconds with 11 queries